pctr_t Struct Reference

Generic event counter for profiling. More...

`#include <profile.h>`

## Data Fields

char * | name
| Counter print name; NULL terminates array of counters Used by pctr_print_all.
int32 | count
| Counter value.

## Detailed Description

Generic event counter for profiling.

User is responsible for allocating an array of the desired number. There should be a sentinel with name = NULL.

Definition at line 100 of file profile.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/profile.h